local player = require 'player'
local Enemy = require 'enemy'

local game = {}
enemies = {}

function game.load()  
  for i=1,4,1 do
    table.insert(enemies, Enemy:new())
  end
end

function game.update(dt)
	player:update(dt)
	
  for i=#enemies,1,-1 do
    enemies[i]:update(dt)
    
    if enemies[i].removeMe then
      table.remove(enemies, i)
    end
  end
end

function game.draw()
  player:draw()
  
  for i=#enemies,1,-1 do
    enemies[i]:draw()
  end
end

return game